# Interface ICefDisplay

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDisplay = interface(ICefBaseRefCounted)`

## Description

This interface typically, but not always, corresponds to a physical display connected to the system. A fake Display may exist on a headless system, or a Display may correspond to a remote, virtual display. All size and position values are in density independent pixel (DIP) coordinates unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

For details on coordinate systems and usage see https://bitbucket.org/chromiumembedded/cef/wiki/GeneralUsage#markdown- header-coordinate-systems

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_display_capi.h">CEF source file: /include/capi/views/cef_display_capi.h (cef_display_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDisplay

## Overview

### Methods

| `function GetID: int64;`
| `function GetDeviceScaleFactor: Single;`
| `procedure ConvertPointToPixels(var point: TCefPoint);`
| `procedure ConvertPointFromPixels(var point: TCefPoint);`
| `function GetBounds: TCefRect;`
| `function GetWorkArea: TCefRect;`
| `function GetRotation: Integer;`

### Properties

| `property ID : int64 read GetID;`
| `property DeviceScaleFactor : Single read GetDeviceScaleFactor;`
| `property Bounds : TCefRect read GetBounds;`
| `property WorkArea : TCefRect read GetWorkArea;`
| `property Rotation : Integer read GetRotation;`

## Description

### Methods

| `function GetID: int64;`
Returns the unique identifier for this Display. ###### Attributes GUID['{EC2D3606-DB4C-4894-8D38-B8F99E091965}']

| `function GetDeviceScaleFactor: Single;`
Returns this Display's device pixel scale factor. This specifies how much the UI should be scaled when the actual output has more pixels than standard displays (which is around 100~120dpi). The potential return values differ by platform. Windowed browsers with 1.0 zoom will have a JavaScript `window.devicePixelRatio` value matching the associated Display's get_device_scale_factor() value.

| `procedure ConvertPointToPixels(var point: TCefPoint);`
Convert |point| from DIP coordinates to pixel coordinates using this Display's device scale factor.

| `procedure ConvertPointFromPixels(var point: TCefPoint);`
Convert |point| from pixel coordinates to DIP coordinates using this Display's device scale factor.

| `function GetBounds: TCefRect;`
Returns this Display's bounds in DIP screen coordinates. This is the full size of the display.

| `function GetWorkArea: TCefRect;`
Returns this Display's work area in DIP screen coordinates. This excludes areas of the display that are occupied with window manager toolbars, etc.

| `function GetRotation: Integer;`
Returns this Display's rotation in degrees.

### Properties

| `property ID : int64 read GetID;`
Returns the unique identifier for this Display.

| `property DeviceScaleFactor : Single read GetDeviceScaleFactor;`
Returns this Display's device pixel scale factor. This specifies how much the UI should be scaled when the actual output has more pixels than standard displays (which is around 100~120dpi). The potential return values differ by platform.

| `property Bounds : TCefRect read GetBounds;`
Returns this Display's bounds in DIP screen coordinates. This is the full size of the display.

| `property WorkArea : TCefRect read GetWorkArea;`
Returns this Display's work area in DIP screen coordinates. This excludes areas of the display that are occupied with window manager toolbars, etc.

| `property Rotation : Integer read GetRotation;`
Returns this Display's rotation in degrees.

Generated by PasDoc 0.16.0-snapshot.